#!/usr/bin/python
# -*- coding: utf-8 -*-

import RPi.GPIO as gpio
import time



 ## PANEL 7 SEGMENTOS
PANELC = 26 # Panel C (verde - 26 - out)
PANELD = 19 # Panel D (amarillo - 19 - out)
PANELE = 13 # Panel E (naranja - 13 - out)
PANELB = 21 # Panel B (blanco - 21 - out)
PANELA = 20 # Panel A (gris - 20 - out)
PANELF = 16 # Panel F (violeta - 16 - out)
PANELG = 12 # Panel G (azul - 12 - out)
## 

gpio.setmode(gpio.BCM)
gpio.setwarnings(False)

## Panel 7 segmentos
gpio.setup(PANELC, gpio.OUT)
gpio.setup(PANELD, gpio.OUT)
gpio.setup(PANELE, gpio.OUT)
gpio.setup(PANELB, gpio.OUT)
gpio.setup(PANELA, gpio.OUT)
gpio.setup(PANELF, gpio.OUT)
gpio.setup(PANELG, gpio.OUT)

def panel_apagado():
	gpio.output(PANELA, False)
	gpio.output(PANELB, False)
	gpio.output(PANELC, False)
	gpio.output(PANELD, False)
	gpio.output(PANELE, False)
	gpio.output(PANELF, False)
	gpio.output(PANELG, False)

def panel_tecnico():
	gpio.output(PANELA, True)
	gpio.output(PANELB, True)
	gpio.output(PANELC, True)
	gpio.output(PANELD, False)
	gpio.output(PANELE, True)
	gpio.output(PANELF, True)
	gpio.output(PANELG, True)
	time.sleep(5)

for instruccion in range(5):
	panel_apagado()
	panel_tecnico()